/*
  Copyright 1996-2000
  Simon Whiteside

  $Id: NodeTypes.java,v 1.7 2001/01/01 13:48:41 sdw Exp $
*/
package simkin;	

interface NodeTypes {
    static final int s_Params=0;
    static final int s_StatList=1;
    static final int s_if=2;
    static final int s_while=3;
    static final int s_return=4;
    static final int s_Assign=5;
    static final int s_Method=6;
    static final int s_Args=7;
    static final int s_Null=8;
    static final int s_or=9;
    static final int s_and=10;
    static final int s_Equals=11;
    static final int s_Less=12;
    static final int s_More=13;
    static final int s_Concat=14;
    static final int s_Plus=15;
    static final int s_Subtract=16;
    static final int s_Mult=17;
    static final int s_Divide=18;
    static final int s_Mod=19;
    static final int s_Minus=20;
    static final int s_not=21;
    static final int s_Field=22;
    static final int s_Id=23;
    static final int s_Integer=24;
    static final int s_Float=25;
    static final int s_String=26;
    static final int s_Attrib=27;
    static final int s_MethodDefn=28;
    static final int s_IdList=29;
    static final int s_ExprList=30;
    static final int s_MethodExpr=31;
    static final int s_Character=32;
    static final String[] g_NodeNames={"Params","StatList","if","while","return","Assign","Method","Args","Null","or","and","Equals","Less","More","Concat","Plus","Subtract","Mult","Divide","Mod","Minus","not","Field","Id","Integer","Float","String","Attribute","MethodDefn","IdList","ExprList","MethodExpr","Character"};
    static final String s_Self="self";
    static final String s_True="true";
    static final String s_False="false";
}
